> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.itspropel.com/llms.txt.
> For full documentation content, see https://docs.itspropel.com/llms-full.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.itspropel.com/_mcp/server.

# List All Subscriptions

GET https://admin/platform-billing/subscriptions

Reference: https://docs.itspropel.com/propel-biz/25-platform-billing-saa-s/admin/list-all-subscriptions

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: PropelBiz
  version: 1.0.0
paths:
  /admin/platform-billing/subscriptions:
    get:
      operationId: list-all-subscriptions
      summary: List All Subscriptions
      tags:
        - >-
          subpackage_25PlatformBillingSaaS.subpackage_25PlatformBillingSaaS/admin
      parameters:
        - name: status[]
          in: query
          description: >-
            Optional: Filter by status -
            trialing|active|past_due|suspended|cancelled
          required: false
          schema:
            type: string
        - name: plan_id
          in: query
          description: 'Optional: Filter by plan UUID - exists in saas_plans'
          required: false
          schema:
            type: string
        - name: module_key
          in: query
          description: 'Optional: Filter by module key - string'
          required: false
          schema:
            type: string
        - name: tenant_id
          in: query
          description: 'Optional: Filter by tenant UUID - string'
          required: false
          schema:
            type: string
        - name: per_page
          in: query
          description: 'Optional: Results per page - min:1 max:100 - 15'
          required: false
          schema:
            type: integer
        - name: sort_by
          in: query
          description: 'Optional: Sort field - status|created_at|current_period_end'
          required: false
          schema:
            type: string
        - name: sort_direction
          in: query
          description: 'Optional: Sort direction - asc|desc'
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/25 Platform Billing (SaaS)_Admin_List All
                  Subscriptions_Response_200
servers:
  - url: https:/
components:
  schemas:
    25 Platform Billing (SaaS)_Admin_List All Subscriptions_Response_200:
      type: object
      properties: {}
      description: Empty response body
      title: 25 Platform Billing (SaaS)_Admin_List All Subscriptions_Response_200

```

## SDK Code Examples

```python
import requests

url = "https://https/admin/platform-billing/subscriptions"

querystring = {"status[]":"[\"active\",\"trialing\"]","plan_id":"a3f47c9e-8b2d-4f1a-9c3e-2d5b7f6a1e4c","module_key":"crm_module","tenant_id":"d9f8a7b6-c5e4-4d3f-9a1b-2c3d4e5f6a7b","per_page":"15","sort_by":"created_at","sort_direction":"desc"}

payload = {}
headers = {"Content-Type": "application/json"}

response = requests.get(url, json=payload, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://https/admin/platform-billing/subscriptions?status%5B%5D=%5B%22active%22%2C%22trialing%22%5D&plan_id=a3f47c9e-8b2d-4f1a-9c3e-2d5b7f6a1e4c&module_key=crm_module&tenant_id=d9f8a7b6-c5e4-4d3f-9a1b-2c3d4e5f6a7b&per_page=15&sort_by=created_at&sort_direction=desc';
const options = {method: 'GET', headers: {'Content-Type': 'application/json'}, body: '{}'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://https/admin/platform-billing/subscriptions?status%5B%5D=%5B%22active%22%2C%22trialing%22%5D&plan_id=a3f47c9e-8b2d-4f1a-9c3e-2d5b7f6a1e4c&module_key=crm_module&tenant_id=d9f8a7b6-c5e4-4d3f-9a1b-2c3d4e5f6a7b&per_page=15&sort_by=created_at&sort_direction=desc"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("GET", url, payload)

	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://https/admin/platform-billing/subscriptions?status%5B%5D=%5B%22active%22%2C%22trialing%22%5D&plan_id=a3f47c9e-8b2d-4f1a-9c3e-2d5b7f6a1e4c&module_key=crm_module&tenant_id=d9f8a7b6-c5e4-4d3f-9a1b-2c3d4e5f6a7b&per_page=15&sort_by=created_at&sort_direction=desc")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://https/admin/platform-billing/subscriptions?status%5B%5D=%5B%22active%22%2C%22trialing%22%5D&plan_id=a3f47c9e-8b2d-4f1a-9c3e-2d5b7f6a1e4c&module_key=crm_module&tenant_id=d9f8a7b6-c5e4-4d3f-9a1b-2c3d4e5f6a7b&per_page=15&sort_by=created_at&sort_direction=desc")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://https/admin/platform-billing/subscriptions?status%5B%5D=%5B%22active%22%2C%22trialing%22%5D&plan_id=a3f47c9e-8b2d-4f1a-9c3e-2d5b7f6a1e4c&module_key=crm_module&tenant_id=d9f8a7b6-c5e4-4d3f-9a1b-2c3d4e5f6a7b&per_page=15&sort_by=created_at&sort_direction=desc', [
  'body' => '{}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://https/admin/platform-billing/subscriptions?status%5B%5D=%5B%22active%22%2C%22trialing%22%5D&plan_id=a3f47c9e-8b2d-4f1a-9c3e-2d5b7f6a1e4c&module_key=crm_module&tenant_id=d9f8a7b6-c5e4-4d3f-9a1b-2c3d4e5f6a7b&per_page=15&sort_by=created_at&sort_direction=desc");
var request = new RestRequest(Method.GET);
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Content-Type": "application/json"]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://https/admin/platform-billing/subscriptions?status%5B%5D=%5B%22active%22%2C%22trialing%22%5D&plan_id=a3f47c9e-8b2d-4f1a-9c3e-2d5b7f6a1e4c&module_key=crm_module&tenant_id=d9f8a7b6-c5e4-4d3f-9a1b-2c3d4e5f6a7b&per_page=15&sort_by=created_at&sort_direction=desc")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```